<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.fragment.map.MapV2Fragment">

    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/fc_home_map_fragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />


    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_home_map_device_battery_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="invisible">

        <include
            android:id="@+id/il_home_map_device_battery_layout"
            layout="@layout/layout_map_device_battery" />
    </androidx.appcompat.widget.LinearLayoutCompat>


    <RelativeLayout
        android:id="@+id/rl_home_map_top_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginHorizontal="@dimen/dp_8">

        <include
            android:id="@+id/ll_home_map_top_pet"
            layout="@layout/layout_top_pet_data_small"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8" />

        <include
            android:id="@+id/il_home_map_device_msg"
            layout="@layout/item_home_map_device_msg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/ll_home_map_top_pet"
            android:layout_centerInParent="true"
            android:layout_marginTop="@dimen/dp_6"
            android:visibility="gone" />

        <com.abbidot.tracker.widget.NonSwipeRecyclerView
            android:id="@+id/rv_home_map_device_state"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/ll_home_map_top_pet"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/dp_60"
            android:layout_marginEnd="@dimen/dp_2"
            android:layoutDirection="rtl" />

        <include
            android:id="@+id/il_home_map_pet_location"
            layout="@layout/layout_pet_location_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="@dimen/dp_38"
            android:visibility="invisible" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/home_map_bluetooth_btn"
            style="@style/map_image_white_btn_style"
            android:layout_above="@id/il_home_map_pet_location"
            android:layout_alignEnd="@id/rv_home_map_device_state"
            android:layout_marginBottom="@dimen/dp_8"
            android:padding="@dimen/dp_8"
            android:src="@drawable/icon_map_bluetooth" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/home_map_refresh_btn"
            style="@style/map_image_yellow_btn_style"
            android:layout_above="@id/home_map_bluetooth_btn"
            android:layout_alignEnd="@id/home_map_bluetooth_btn"
            android:layout_marginBottom="@dimen/dp_8" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/home_map_live_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/home_map_refresh_btn"
            android:background="@drawable/shape38_gray_alpha_circle_bg"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dp_14"
            android:paddingVertical="@dimen/dp_16">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_home_map_live_image"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/icon_gray_cir_ring"
                android:padding="@dimen/dp_6"
                android:src="@drawable/icon_red_dot"
                android:tint="@color/grey_color" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_map_live_title"
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_2"
                android:text="@string/txt_live"
                android:textColor="@color/grey_color"
                android:textSize="@dimen/textSize12"
                android:textStyle="bold" />
        </androidx.appcompat.widget.LinearLayoutCompat>

    </RelativeLayout>
</FrameLayout>